"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asyncContextMiddleware = void 0;
const async_context_1 = require("../async-context");
const asyncContextMiddleware = () => {
    return async (ctx, next) => {
        await (0, async_context_1.wrapWithAsyncContext)(ctx.state.eventID, async () => {
            try {
                await next();
            }
            finally {
                (0, async_context_1.done)();
            }
        });
    };
};
exports.asyncContextMiddleware = asyncContextMiddleware;
//# sourceMappingURL=async-context.js.map